(* Time-stamp: <modified the 10/03/2019 (at 22:47) by Erwan Jahier> *)

type t = {
  pid : string; (* unique *)
  variables : Algo.vars;
  actions: Algo.action list;
  init : Algo.neighbor list -> Algo.local_env;
  enable : Algo.enable_fun; 
  step : Algo.step_fun  ;
}

(** build a process and set its variable initial values *)
val make: bool -> Topology.node -> t
