(* Time-stamp: <modified the 15/03/2019 (at 22:37) by Erwan> *)


type t = {
  mutable topo: string;
  mutable length: int;
  mutable verbose: int;
  mutable demon: Demon.t;
  mutable rif: bool;
  mutable seed: int;
  mutable ifi: bool;
  mutable gen_lutin: bool;
  
  mutable _args : (string * Arg.spec * string) list;
  mutable _user_man  : (string * string list) list; 
  mutable _hidden_man: (string * string list) list; 

  mutable _others : string list;
  mutable _margin : int;
}

val usage_msg : string -> string


val parse : string array -> t
